# Couenne::CouenneSparseVector Class Reference

`#include <CouenneMatrix.hpp>`

List of all members.

## Classes
struct | compare_scalars
## Public Member Functions
| CouenneSparseVector ()
| ~CouenneSparseVector ()
| CouenneSparseVector (const CouenneSparseVector &rhs)
CouenneSparseVector & | operator= (const CouenneSparseVector &rhs)
CouenneSparseVector * | clone ()
void | add_element (int index, expression *elem)
void | print () const
const std::set< CouenneScalar *, compare_scalars > & | getElements ()
| returns elements of vector as (ordered) set
double | operator* (const CouenneSparseVector &factor) const
| vector * vector (dot product)
CouenneSparseVector & | operator* (const CouenneExprMatrix &post) const
| vector * matrix
double | multiply_thres (const CouenneSparseVector &v2, double thres) const
| stops multiplication if above threshold
## Protected Attributes
std::set< CouenneScalar *, compare_scalars > | elem_

## Detailed Description

Definition at line 66 of file CouenneMatrix.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneSparseVector::CouenneSparseVector | ( |  | ) | `[inline]`

Definition at line 82 of file CouenneMatrix.hpp.

Referenced by clone().

Couenne::CouenneSparseVector::~CouenneSparseVector | ( |  | ) |

Couenne::CouenneSparseVector::CouenneSparseVector | ( | const CouenneSparseVector & | rhs | ) |

## Member Function Documentation

CouenneSparseVector& Couenne::CouenneSparseVector::operator= | ( | const CouenneSparseVector & | rhs | ) |

CouenneSparseVector* Couenne::CouenneSparseVector::clone | ( |  | ) | `[inline]`

Definition at line 87 of file CouenneMatrix.hpp.

References CouenneSparseVector().

void Couenne::CouenneSparseVector::add_element | ( | int | index,
|  | expression * | elem |
| ) |  |  |

void Couenne::CouenneSparseVector::print | ( |  | ) | const

const std::set<CouenneScalar *, compare_scalars>& Couenne::CouenneSparseVector::getElements | ( |  | ) | `[inline]`

returns elements of vector as (ordered) set

Definition at line 93 of file CouenneMatrix.hpp.

References elem_.

double Couenne::CouenneSparseVector::operator* | ( | const CouenneSparseVector & | factor | ) | const

vector * vector (dot product)

CouenneSparseVector& Couenne::CouenneSparseVector::operator* | ( | const CouenneExprMatrix & | post | ) | const

vector * matrix

double Couenne::CouenneSparseVector::multiply_thres | ( | const CouenneSparseVector & | v2,
|  | double | thres |
| ) |  |  | const

stops multiplication if above threshold

## Member Data Documentation

std::set<CouenneScalar *, compare_scalars> Couenne::CouenneSparseVector::elem_`[protected]`

Definition at line 78 of file CouenneMatrix.hpp.

Referenced by getElements().

The documentation for this class was generated from the following file:

- CouenneMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines